//WAP TO ACCEPT A POSITIVE NUMBER AND
//DISPLAY THE SUM OF THE DIGITS OF THE NUMBER
#include<iostream.h>
#include<conio.h>
void main()
{
	unsigned long num,temp,rev=0;
	int sum=0,r,ctr;
	ctr=0;
	clrscr();
	cout<<"\n Enter a Number : ";
	cin>>num;
	temp=num;
	while(temp!=0)
	{
		r=temp%10;
		rev=rev*10+r;
		sum+=r;
		temp=temp/10;
		ctr++;
	}
	cout<<"\nSum of digits of "<<num<<"="<<sum;
	cout<<"\nNo of digits in "<<num<<"="<<ctr;
	cout<<"\nReverse No is "<<num<<"="<<rev;
	getch();
}



